<?php

/**
 * @file
 * Taxonomy Machine Name Token Module File.
 */

/**
 * Implements hook_token_info_alter().
 */
function taxonomy_machine_name_token_info_alter(&$data) {
  // Modify description of node tokens for our site.
  $data['tokens']['term']['machine-name'] = array(
    'name'        => t('Machine name'),
    'description' => t('The machine name of the taxonomy term.'),
  );
}

/**
 * Implements hook_tokens_alter().
 */
function taxonomy_machine_name_tokens_alter(array &$replacements, array $context) {
  if ($context['type'] == 'term' && !empty($context['data']['term'])) {

    if (isset($context['tokens']['machine-name'])) {
      $sanitize = !empty($options['sanitize']);
      $term     = $context['data']['term'];

      $replacements['[term:machine-name]'] = $sanitize ? check_plain($term->machine_name) : $term->machine_name;
    }
  }
}
